// marcador.h - Declaración de la clase CMarcador.
//              Un objeto CMarcador es un hilo.
#if !defined( _MARCADOR_H_ )
#define _MARCADOR_H_

#include "tablon.h"
#include "hilo.h"

class CMarcador : public CHilo
{
  private:
    CTablon *m_tablon;  // acceso al tablón
  public:
    CMarcador(CTablon *t = 0);
    void asignarTablon(CTablon *t) { m_tablon = t; }
    void *fnHilo();
};

#endif // _MARCADOR_H_

